ChangeSet 1.1254.4.37, 2003/06/04 12:34:05-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pci/proc.c


 drivers/pci/proc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/proc.c b/drivers/pci/proc.c
--- a/drivers/pci/proc.c	Wed Jun  4 18:09:23 2003
+++ b/drivers/pci/proc.c	Wed Jun  4 18:09:23 2003
@@ -581,13 +581,13 @@
 {
 	if (pci_present()) {
 		struct proc_dir_entry *entry;
-		struct pci_dev *dev;
+		struct pci_dev *dev = NULL;
 		proc_bus_pci_dir = proc_mkdir("pci", proc_bus);
 		entry = create_proc_entry("devices", 0, proc_bus_pci_dir);
 		if (entry)
 			entry->proc_fops = &proc_bus_pci_dev_operations;
 		proc_initialized = 1;
-		pci_for_each_dev(dev) {
+		while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 			pci_proc_attach_device(dev);
 		}
 		legacy_proc_init();
